<?xml version="1.0" encoding="UTF-8"?>

<!--
/**
 *
 * @author Bartlomiej Tomasz Urbaniec
 */
-->

<ns1:fieldDescriptions
    xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
    xmlns:ns1='http://www.fielddescriptionmapping.extendedconfig.plugins.unicos.cern.ch.research'
    xsi:schemaLocation='http://www.fielddescriptionmapping.extendedconfig.plugins.unicos.cern.ch.research'>
    <ns1:fieldDescription>         
        <ns1:field>domain</ns1:field>         
        <ns1:name>Domain</ns1:name>         
        <ns1:description>UNICOS domain</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>project</ns1:field>         
        <ns1:name>Project</ns1:name>         
        <ns1:description>WinCCOA project</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>system</ns1:field>         
        <ns1:name>System</ns1:name>         
        <ns1:description>WinCCOA system name</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>fec</ns1:field>         
        <ns1:name>FEC</ns1:name>         
        <ns1:description>Front-end computer and WinCCOA server name, hostname in which is running the CMW Server</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>accelerator</ns1:field>         
        <ns1:name>Accelerator</ns1:name>         
        <ns1:description>CERN accelerator, ps, sps, lhc, etc.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cmwServer</ns1:field>         
        <ns1:name>CMW Server</ns1:name>         
        <ns1:description>The CMW server name publishing the data</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>defaultCmwServer</ns1:field>         
        <ns1:name>Default CMW Server</ns1:name>         
        <ns1:description>Select to generate default CMW Server</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>alias</ns1:field>         
        <ns1:name>Alias</ns1:name>         
        <ns1:description>Device name</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>deviceType</ns1:field>         
        <ns1:name>Device Type</ns1:name>         
        <ns1:description>Type of the device</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>dpe</ns1:field>         
        <ns1:name>Element</ns1:name>         
        <ns1:description>Element of the device</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>property</ns1:field>         
        <ns1:name>Property</ns1:name>         
        <ns1:description>CMW device property name.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>direction</ns1:field>         
        <ns1:name>Direction</ns1:name>         
        <ns1:description>in=going into winccoa, the data can be set by an external source, out=going outside winccoa, the data can be published to the outside, in/out= both in and out</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>value</ns1:field>         
        <ns1:name>Value</ns1:name>         
        <ns1:description>Type of value</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>time</ns1:field>         
        <ns1:name>Time</ns1:name>         
        <ns1:description>Type of time</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cmwDevice</ns1:field>         
        <ns1:name>CMW Device</ns1:name>         
        <ns1:description>CMW device name</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>freeData</ns1:field>         
        <ns1:name>Free Data</ns1:name>         
        <ns1:description>Any other data from any other device types than the ones known and configured.</ns1:description>     
    </ns1:fieldDescription>  

</ns1:fieldDescriptions>